net.dontdrinkandroot.utils.jobmanager

## Class AbstractJob<T>

- java.lang.Object
- - net.dontdrinkandroot.utils.jobmanager.AbstractJob<T>

All Implemented Interfaces:
  Job<T>

    public abstract class AbstractJob<T>
    extends Object
    implements Job<T>

### Field Summary

Fields
`protected T` `result`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJob(String id)`

### Method Summary

Methods
`protected abstract T` `doRun()`
`boolean` `failed()`
`Exception` `getException()`
`Expiry` `getExpiry()`
`String` `getId()`
`org.slf4j.Logger` `getLogger()`
`protected abstract net.dontdrinkandroot.utils.progressmonitor.ProgressStatus` `getProgressStatus()`
`T` `getResult()`
`boolean` `isFinished()`
`void` `run()`
`void` `setException(Exception exception)`
`void` `setExpiry(long expiry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### result

    protected T result

### Constructor Detail

#### AbstractJob

    public AbstractJob(String id)

### Method Detail

#### run

    public void run()

#### isFinished

    public boolean isFinished()

Specified by:
  `isFinished` in interface `Job<T>`

#### getResult

    public T getResult()

Specified by:
  `getResult` in interface `Job<T>`

#### setExpiry

    public void setExpiry(long expiry)

#### getExpiry

    public Expiry getExpiry()

Specified by:
  `getExpiry` in interface `Job<T>`

#### getId

    public String getId()

Specified by:
  `getId` in interface `Job<T>`

#### getLogger

    public org.slf4j.Logger getLogger()

#### getException

    public Exception getException()

Specified by:
  `getException` in interface `Job<T>`

#### failed

    public boolean failed()

Specified by:
  `failed` in interface `Job<T>`

#### setException

    public void setException(Exception exception)

#### doRun

    protected abstract T doRun()
                        throws Exception

Throws:
  `Exception`

#### getProgressStatus

    protected abstract net.dontdrinkandroot.utils.progressmonitor.ProgressStatus getProgressStatus()